Bug 2668 - claws freezes whenever it encounters POP3 error while hidden in notification area
Summary: claws freezes whenever it encounters POP3 error while hidden in notification ...
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.8.0
Hardware: PC Windows XP
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-05-23 14:23 CEST by j.blechta
Modified: 2016-05-29 23:47 CEST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description j.blechta 2012-05-23 14:23:28 CEST
When Claws is hidden in a notification area (i.e. it has no button in task bar) and POP3 error happens, Claws freezes, taking 100% time of 1 CPU core and cannot be anymore used. Only possible solution is halting it and running again. It can stay in this freezed state for hours.

It seems that same error causes alert window only and it does not freeze when Claws is not hidden in notification area but has classical window (even minimized) and corresponding button in task bar.

It was achieved with SSL POP3 (unblocking and blockig both). It has occured many times and was seen on versions 3.7.8cvs47 and 3.8.0cvs30.

Here's log from freezing condition described above
[02:50:33] POP3< +OK 968 37326385
[02:50:33] POP3> STAT
[02:50:33] POP3< +OK 968 37326385
[02:50:33] POP3> UIDL

And this is log from unfreezing condition described above
[03:14:21] POP3< +OK 968 37326385
[03:14:21] POP3> STAT
[03:14:21] POP3< +OK 968 37326385
[03:14:21] POP3> UIDL
[03:14:21] *** error: Nastala chyba b
Comment 1 Abhay S. Kushwaha 2012-12-07 06:58:20 CET
Have tried this using latest version on Windows 7 and Windows XP, and can't replicate this.
Comment 2 j.blechta 2012-12-07 12:02:57 CET
You need to have an existing SSL POP3 connection which fails. It does not happen without SSL.
Comment 3 Martin Adams 2013-10-11 17:30:22 CEST
This happens to me with or with out the icon in the system tray and it happens with NO SSL. Every time it downloads messages.
Windows 7 x64 Clawsmail 3.9.1
Comment 4 Martin Adams 2013-10-11 17:43:59 CEST
Here the crash log from windows...
Version = 1
Event Type = Apphangb1
Event Time = 130259795530120326
Report Type = 3
Consent = 1
ReportIdentifier = 46b0a03a - 328B - B522 - 11e3 - 005056c00008
IntegratorReportIdentifier = 46b0a03b - 328B - B522 - 11e3 - 005056c00008
WOW64 = 1
Response.type = 4
Sig [ 0 ] . Name = Application Name
Sig [ 0 ] . Value = claws- mail.exe
Sig [ 1 ] . Name = Application Version
Sig [ 1 ] . Value = 0.0.0.0
Sig . [2] Name = Application Timestamp
Sig [ 2]. Value = 5252cd9d
Sig [ 3 ] . Name = Signature of jam
Sig [ 3]. Value = 142d
Sig . [4] Name = Type jams
Sig [ 4]. Value = 0
DynamicSig [ 1 ] . Name = OS Version
DynamicSig [ 1 ] . Value = 6.1.7601.2.1.0.768.3
DynamicSig . [2] Name = Locale ID
DynamicSig [ 2]. Value = 1043
DynamicSig . [22] Name = Additional signature 1
DynamicSig [ 22 ] . Value = 142de44b3459a9e083f3642d8dd27672
DynamicSig . [23] Name = Additional signature 2
DynamicSig [ 23 ] . Value = d862
DynamicSig [ 24 ] . Name = Additional signature 3
DynamicSig [ 24]. Value = d8627e9ac80f9932894028bb2cd63d64
DynamicSig . [25] Name = Additional signature 4
DynamicSig [ 25]. Value = 142d
DynamicSig . [26] Name = Additional signature 5
DynamicSig [ 26 ] . Value = 142de44b3459a9e083f3642d8dd27672
DynamicSig . [27] Name = Additional signature 6
DynamicSig [ 27 ] . Value = d862
DynamicSig [ 28 ] . Name = Additional signature 7
DynamicSig [ 28 ] . Value = d8627e9ac80f9932894028bb2cd63d64
UI [ 3 ] = claws- mail.exe unresponsive
UI [ 4 ] = There can be searched online for a solution . There is information may be lost when you close the program .
UI [5 ] = Online to find a solution and close the program
UI [ 6 ] = Online to find a solution and close the program
UI [ 7 ] = Close the program
Loaded Module [0 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ claws- mail.exe
Loaded Module [1 ] = C : \ Windows \ SysWOW64 \ ntdll.dll
Loaded Module [2 ] = C : \ Windows \ syswow64 \ kernel32.dll
Loaded Module [3 ] = C : \ Windows \ syswow64 \ KERNELBASE.dll
Loaded Module [4 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libcairo - 2.dll
Loaded Module [5 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libfontconfig - 1.dll
Loaded Module [ 6 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libexpat - 1.dll
Loaded Module [7 ] = C : \ Windows \ SysWOW64 \ msvcrt.dll
Loaded Module [8 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ freetype6.dll
Loaded Module [ 9 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libpng14 - 14.dll
Loaded Module [10 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ zlib1.dll
Loaded Module [11 ] = C : \ Windows \ SysWOW64 \ gdi32.dll
Loaded Module [12 ] = C : \ Windows \ syswow64 \ USER32.dll
Loaded Module [13 ] = C : \ Windows \ SysWOW64 \ advapi32.dll
Loaded Module [14 ] = C : \ Windows \ SysWOW64 \ sechost.dll
Loaded Module [15 ] = C : \ Windows \ SysWOW64 \ Rpcrt4.dll
Loaded Module [16 ] = C : \ Windows \ SysWOW64 \ SspiCli.dll
Loaded Module [17 ] = C : \ Windows \ SysWOW64 \ CRYPTBASE.dll
Loaded Module [18 ] = C : \ Windows \ SysWOW64 \ LPK.dll
Loaded Module [19 ] = C : \ Windows \ SysWOW64 \ USP10.dll
Loaded Module [ 20 ] = C : \ Windows \ system32 \ MSIMG32.DLL
Loaded Module [21 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libpango -1.0 - 0.dll
Loaded Module [22 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libglib -2.0 - 0.dll
Loaded Module [23 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libintl - 8.dll
Loaded Module [24 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libiconv - 2.dll
Loaded Module [25 ] = C : \ Windows \ SysWOW64 \ ole32.dll
Loaded Module [26 ] = C : \ Windows \ SysWOW64 \ SHELL32.DLL
Loaded Module [27 ] = C : \ Windows \ SysWOW64 \ SHLWAPI.DLL
Loaded Module [28 ] = C : \ Windows \ system32 \ winmm.dll
Loaded Module [29 ] = C : \ Windows \ SysWOW64 \ WS2_32.dll
Loaded Module [30 ] = C : \ Windows \ SysWOW64 \ NSI.dll
Loaded Module [31 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgmodule -2.0 - 0.dll
Loaded Module [32 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgobject -2.0 - 0.dll
Loaded Module [33 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libffi - 6.dll
Loaded Module [34 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libpangocairo -1.0 - 0.dll
Loaded Module [ 35 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libpangoft2 -1.0 - 0.dll
Loaded Module [36 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libpangowin32 -1.0 - 0.dll
Loaded Module [37 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ pthreadGC2.dll
Loaded Module [38 ] = C : \ Windows \ system32 \ WSOCK32.DLL
Loaded Module [39 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libenchant - 1.dll
Loaded Module [40 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgdk_pixbuf -2.0 - 0.dll
Loaded Module [41 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgio -2.0 - 0.dll
Loaded Module [42 ] = C : \ Windows \ system32 \ Dnsapi.dll

Loaded Module [44 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgnutls - 26.dll
Loaded Module [ 45 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgcrypt - 11.dll
Loaded Module [46 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgpg -error- 0.dll
Loaded Module [47 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libtasn1 - 3.dll
Loaded Module [ 48 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgdk - win32 -2.0 - 0.dll
Loaded Module [49 ] = C : \ Windows \ syswow64 \ IMM32.DLL
Loaded Module [50 ] = C : \ Windows \ SysWOW64 \ Msctf.dll
Loaded Module [51 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgtk - win32 -2.0 - 0.dll
Loaded Module [52 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libatk -1.0 - 0.dll
Loaded Module [53 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ intl.dll

Loaded Module [ 55 ] = C : \ Windows \ SysWOW64 \ COMDLG32.DLL
Loaded Module [56 ] = C : \ Windows \ system32 \ Winspool.drv
Loaded Module [57 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libetpan - 13.dll
Loaded Module [58 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libregex - 1.dll
Loaded Module [59 ] = C : \ Windows \ SysWOW64 \ Wldap32.dll
Loaded Module [ 60 ] = C : \ Windows \ system32 \ CRYPTSP.dll
Loaded Module [61 ] = C : \ Windows \ system32 \ Netapi32.dll
Loaded Module [62 ] = C : \ Windows \ system32 \ netutils.dll
Loaded Module [63 ] = C : \ Windows \ system32 \ srvcli.dll
Loaded Module [ 64] = C : \ Windows \ system32 \ wkscli.dll
Loaded Module [ 65 ] = C : \ Windows \ system32 \ mswsock.dll
Loaded Module [ 66] = C : \ Windows \ System32 \ Wshtcpip.dll
Loaded Module [67 ] = C : \ Windows \ system32 \ profapi.dll
Loaded Module [68 ] = C : \ Windows \ system32 \ uxtheme.dll
Loaded Module [69 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ gtk -2.0 \ 2.10.0 \ engines \ libwimp.dll
Loaded Module [70 ] = C : \ Windows \ system32 \ dwmapi.dll
Loaded Module [71 ] = C : \ Windows \ system32 \ mscms.dll
Loaded Module [ 72 ] = C : \ Windows \ system32 \ Userenv.dll
Loaded Module [ 73] = C : \ Windows \ system32 \ icm32.dll
Loaded Module [74 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ address_keeper.dll
Loaded Module [75 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ att_remover.dll
Loaded Module [ 76] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ attachwarner.dll
Loaded Module [ 77] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ bsfilter.dll
Loaded Module [78 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ fetchinfo.dll
Loaded Module [79 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ gtkhtml2_viewer.dll
Loaded Module [80 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libcurl - 4.dll
Loaded Module [81 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libxml2 - 2.dll
Loaded Module [ 82 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ notification.dll
Loaded Module [83 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ pgpcore.dll
Loaded Module [ 84] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libgpgme - 11.dll
Loaded Module [ 85 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ libassuan - 0.dll
Loaded Module [ 86 ] = C : \ Windows \ system32 \ apphelp.dll
Loaded Module [87 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ pgpinline.dll
Loaded Module [88 ] = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ lib \ claws- mail \ plugins \ pgpmime.dll

Loaded Module [90 ] = C : \ Windows \ SysWOW64 \ oleaut32.dll
Loaded Module [ 91] = C : \ Windows \ SysWOW64 \ Setupapi.dll
Loaded Module [ 92 ] = C : \ Windows \ SysWOW64 \ CFGMGR32.dll
Loaded Module [ 93 ] = C : \ Windows \ SysWOW64 \ DEVOBJ.dll
Loaded Module [ 94 ] = C : \ Windows \ SysWOW64 \ clbcatq.dll
Loaded Module [95 ] = C : \ Windows \ system32 \ propsys.dll
Loaded Module [96 ] = C : \ Windows \ system32 \ ntmarta.dll
Loaded Module [97 ] = C : \ Windows \ system32 \ NLAapi.dll
Loaded Module [ 98 ] = C : \ Windows \ system32 \ napinsp.dll
Loaded Module [ 99 ] = C : \ Windows \ system32 \ pnrpnsp.dll
Loaded Module [100 ] = C : \ Windows \ System32 \ winrnr.dll
Loaded Module [ 101] = C : \ Program Files ( x86 ) \ Common Files \ Microsoft Shared \ Windows Live \ WLIDNSP.DLL
Loaded Module [102 ] = C : \ Windows \ SysWOW64 \ PSAPI.DLL
Loaded Module [ 103 ] = C : \ Program Files ( x86 ) \ Bonjour \ mdnsNSP.dll
Loaded Module [ 104 ] = C : \ Windows \ system32 \ iphlpapi.dll
Loaded Module [ 105 ] = C : \ Windows \ system32 \ WINNSI.DLL
Loaded Module [ 106 ] = C : \ Windows \ system32 \ wshbth.dll
Loaded Module [107 ] = C : \ Windows \ System32 \ Fwpuclnt.dll
Loaded Module [108 ] = C : \ Windows \ system32 \ rasadhlp.dll
Friendly Event Name = Does not respond anymore and is closed
ConsentKey = AppHangXProcB1
AppName = claws- mail.exe
AppPath = C : \ Program Files ( x86 ) \ GNU \ GnuPG \ claws- mail.exe
Report Description = A problem has ensured that this program is no longer communicating with Windows
Comment 5 Andrej Kacian 2016-05-29 23:47:43 CEST
I can not reproduce this in latest version (3.13.2), closing. Feel free to reopen if it is still an issue for you.